Free emergency space
Set the cluster read-only and delete one balloon file on a node.
POST
/api/v1/database-services/{id}/emergency-spaceAuthorization
tse_sessionAPI key · cookierequiredPath parameters
idstringrequiredRequest body
requiredapplication/jsonfilesstring[]Balloon files to delete; empty deletes the first present file
server_idstringPostgreSQL node whose balloon files are deleted
Responses
200
OK
available_bytesinteger<int64>freed_before_read_onlybooleanA reserve file on the leader was deleted before read-only because the disk that holds postgresql.conf was full
freed_bytesinteger<int64>requiredfreed_filesstring[]requiredfreed_root_filestringRoot reserve file deleted on the leader before read-only because the disk that holds postgresql.conf (not the data disk) was full
read_onlybooleanrequiredwarningstringdefault
Error
codestringStable code of the refusal, when the route has codes
detailsstring[]Additional detail, e.g. per-field validation failures
errorstringrequiredHuman-readable error message